LibreOffice: AccessibleCsvTable Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
AccessibleCsvTable Service Reference

The accessible object of the data table in the CSV import dialog. More...

Inheritance diagram for AccessibleCsvTable:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessibleContext
| This interface gives access to the whole content of the table.
interface | ::com::sun::star::accessibility::XAccessibleComponent
| This interface gives access to the visibility of the table.
interface | ::com::sun::star::accessibility::XAccessibleTable
| This interface gives access to functionality specific for a table.
interface | ::com::sun::star::accessibility::XAccessibleSelection
| This interface gives access to selection functionality.

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
hyper | getAccessibleChildCount ()
| Return the number of children.
XAccessible | getAccessibleChild ([in] hyper i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object.
XAccessible | getAccessibleParent ()
| Returns the parent of this object.
hyper | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent.
short | getAccessibleRole ()
| Returns the role of this object.
string | getAccessibleDescription ()
| Returns the object's description.
string | getAccessibleName ()
| Return the object's localized name.
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object.
hyper | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object.
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds.
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point.
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object.
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent.
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates.
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box.
void | grabFocus ()
| Grabs the focus to this object.
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object.
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object.
Public Member Functions inherited from XAccessibleTable
long | getAccessibleRowCount ()
| Returns the number of used rows in the table.
long | getAccessibleColumnCount ()
| Returns the number of used columns in the table.
string | getAccessibleRowDescription ([in] long nRow) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the description text of the specified row in the table.
string | getAccessibleColumnDescription ([in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the description text of the specified column in the table.
long | getAccessibleRowExtentAt ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the number of rows occupied by the Accessible at the specified row and column in the table.
long | getAccessibleColumnExtentAt ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the number of columns occupied by the Accessible at the specified row and column in the table.
XAccessibleTable | getAccessibleRowHeaders ()
| Returns the row headers as an XAccessibleTable object.
XAccessibleTable | getAccessibleColumnHeaders ()
| Returns the column headers as an XAccessibleTable object.
sequence< long > | getSelectedAccessibleRows ()
| Returns a list of the indices of completely selected rows in a table.
sequence< long > | getSelectedAccessibleColumns ()
| Returns a list of the indices of completely selected columns in a table.
boolean | isAccessibleRowSelected ([in] long nRow) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a boolean value indicating whether the specified row is completely selected.
boolean | isAccessibleColumnSelected ([in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a boolean value indicating whether the specified column is completely selected.
XAccessible | getAccessibleCellAt ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the XAccessible object at the specified row and column in the table.
XAccessible | getAccessibleCaption ()
| Returns the caption for the table.
XAccessible | getAccessibleSummary ()
| Returns the summary description of the table.
boolean | isAccessibleSelected ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a boolean value indicating whether the accessible at the specified row and column is selected.
hyper | getAccessibleIndex ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the child index of the accessible object that spans the specified cell.
long | getAccessibleRow ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Translate the given child index into the corresponding row index.
long | getAccessibleColumn ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Translate the given child index into the corresponding column index.
Public Member Functions inherited from XAccessibleSelection
void | selectAccessibleChild ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Selects the specified Accessible child of the object.
boolean | isAccessibleChildSelected ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Determines if the specified child of this object is selected.
void | clearAccessibleSelection ()
| Clears the selection, so that no children of the object are selected.
void | selectAllAccessibleChildren ()
| Select all children.
hyper | getSelectedAccessibleChildCount ()
| Returns the number of Accessible children that are currently selected.
XAccessible | getSelectedAccessibleChild ([in] hyper nSelectedChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the specified selected Accessible child.
void | deselectAccessibleChild ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Removes the specified child from the set of this object's selected children.

## Detailed Description

The accessible object of the data table in the CSV import dialog.

See also
  com::sun::star::sheet::AccessibleCsvRuler
  com::sun::star::sheet::AccessibleCsvCell

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

This interface gives access to the visibility of the table.

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

This interface gives access to the whole content of the table.

## ◆ ::com::sun::star::accessibility::XAccessibleSelection

interface ::com::sun::star::accessibility::XAccessibleSelection

This interface gives access to selection functionality.

## ◆ ::com::sun::star::accessibility::XAccessibleTable

interface ::com::sun::star::accessibility::XAccessibleTable

This interface gives access to functionality specific for a table.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/AccessibleCsvTable.idl